<?php
/* Copyright (C) 2004      Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2005-2009 Laurent Destailleur  <eldy@users.sourceforge.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *	    \file       htdocs/admin/mailing.php
 *		\ingroup    mailing
 *		\brief      Page to setup emailing module
 *		\version    $Id: mailing.php,v 1.13 2010/03/01 09:20:43 hregis Exp $
 */

require("../main.inc.php");
require_once(DOL_DOCUMENT_ROOT."/lib/admin.lib.php");

$langs->load("admin");

if (!$user->admin)
  accessforbidden();


/*
 * Actions
 */

if ($_POST["action"] == 'setvalue' && $user->admin)
{
	$result1=dolibarr_set_const($db, "NEWSLETTER_EMAIL_FROM",$_POST["NEWSLETTER_EMAIL_FROM"],'chaine',0,'',$conf->entity);
	
	// Vrifier si le rpertoire existe
	if (file_exists($_POST["NEWSLETTER_CHEMIN_COPIE"]))
	{
		$result2=dolibarr_set_const($db, "NEWSLETTER_CHEMIN_COPIE",$_POST["NEWSLETTER_CHEMIN_COPIE"],'chaine',0,'',$conf->entity);
	}
	else
	{
		$mesg = '<div class="warning">Le chemin saisi n\'existe pas !</div>';
		$result2 = null;
	}
	
	//Vrifier la validit d'un adresse URL.
	//Permet d'afficher un message si le lien d'une URL est valide ou non.
	$file = @fopen($_POST["NEWSLETTER_URL_COPIE"], 'r'); 
	if ($file) 
	{
		$result3=dolibarr_set_const($db, "NEWSLETTER_URL_COPIE",$_POST["NEWSLETTER_URL_COPIE"],'chaine',0,'',$conf->entity);
	} 
	else 
	{
		$mesg =  '<div class="warning">URL non valide</div>';
		$result3 = null;
	}  
	
	if ($result2 == null)
	{
		echo $mesg;
	}
	else if ($result3 == null)
	{
		echo $mesg;
	}
	
	else if (($result1 + $result2 + $result3) == 3)
  	{
  		$mesg='<div class="ok">'.$langs->trans("Success").'</div>';
  	}
  	else
  	{
		dol_print_error($db);
    }
}


/*
 *	View
 */

llxHeader();

$linkback='<a href="'.DOL_URL_ROOT.'/admin/modules.php">'.$langs->trans("BackToModuleList").'</a>';
print_fiche_titre($langs->trans("Configuration de la Newsletter"),$linkback,'setup');

if ($mesg) print '<br>'.$mesg;

print '<form method="post" action="'.$_SERVER["PHP_SELF"].'" id="form" >';
print '<input type="hidden" name="token" value="'.$_SESSION['newtoken'].'">';
print '<input type="hidden" name="action" value="setvalue">';

$var=true;

print '<table class="nobordernopadding" width="100%">';
print '<tr class="liste_titre">';
print '<td>'.$langs->trans("Parameter").'</td>';
print '<td>'.$langs->trans("Value").'</td>';
print "</tr>\n";

$var=!$var;
print '<tr '.$bc[$var].'><td>';
print 'Newsletter from</td><td>';
print '<input size="32" type="text" name="NEWSLETTER_EMAIL_FROM" value="'.$conf->global->NEWSLETTER_EMAIL_FROM.'">';
print '</td></tr>';

$var=!$var;
print '<tr '.$bc[$var].'><td>';
print 'Chemin absolu du serveur o&#249; sera copi&eacute; la newsletter (ex : /home/a/nomServeur/nomSite/r&eacute;pertoireNewsletter)</td><td>';
print '<input size="32" type="text" id="chemin" name="NEWSLETTER_CHEMIN_COPIE" value="'.$conf->global->NEWSLETTER_CHEMIN_COPIE.'">';
print '</td></tr>';

$var=!$var;
print '<tr '.$bc[$var].'><td>';
print 'URL pour visualiser les newsletters en ligne (ex : http://newsletter.nomDomaine.fr)</td><td>';
print '<input size="32" type="text" id="url" name="NEWSLETTER_URL_COPIE" value="'.$conf->global->NEWSLETTER_URL_COPIE.'">';
print '</td></tr>';

print '<tr><td colspan="3" align="center"><input type="submit" class="button" value="'.$langs->trans("Modify").'"></td></tr>';
print '</table></form>';


$db->close();


llxFooter('$Date: 2011/06/24 13:04:00 $ - $Revision: 1.13 $');

?>
